Bug 48725 - i2c-i801 module don't load with kernel-2.4.3-12
i2c-i801 module don't load with kernel-2.4.3-12
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-07-11 05:38 EDT by Holger Hoffmann
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:39:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Holger Hoffmann 2001-07-11 05:38:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.73 [en] (X11; I; Linux 2.2.9-2 i586)

Description of problem:
on a Asus CUSL2-C motherrboard with an intel 815EP chipset the i2c-i801
module don't load. The error message is:

i2c-i801.o version 2.5.5 (20010115)
i2c-i801.o: Error: Can't detect I801, function 3!
i2c-i801.o: I801 not detected, module not inserted.

This is with the kernel-2.4.3-12. It is all o.k. if I use the

How reproducible:

Steps to Reproduce:
1. boot a rh7.1 system with the kernel-2.4.3-12
2. modprobe i2c-i801

Additional info:
Comment 1 Peter Verthez 2001-12-16 09:08:30 EST
Idem in 2.4.9-12 (the latest official Red Hat 7.1 kernel).  This worked
with the standard 7.1 kernel before I upgraded to the newest kernel.

The error messages now are:

voyager_root:~# insmod i2c-i801
Using /lib/modules/2.4.9-12/kernel/drivers/i2c/i2c-i801.o
/lib/modules/2.4.9-12/kernel/drivers/i2c/i2c-i801.o: init_module: No such
deviceHint: insmod errors can be caused by incorrect module parameters,
including invalid IO or IRQ parameters
Comment 2 Bugzilla owner 2004-09-30 11:39:04 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.